RoleResult (Java SE 14 & JDK 14)
Description: declaration: module: java.management, package: javax.management.relation, class: RoleResult
Keywords: javax.management.relation.RoleResult class

Module java.management
Package javax.management.relation

# Class RoleResult

java.lang.Object
javax.management.relation.RoleResult

All Implemented Interfaces:
  `Serializable`

    public class RoleResult
    extends Object
    implements Serializable

Represents the result of a multiple access to several roles of a relation (either for reading or writing).

The serialVersionUID of this class is `-6304063118040985512L`.

Since:
  1.5
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RoleResult​(RoleList list, RoleUnresolvedList unresolvedList)` | Constructor.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `RoleList` | `getRoles()` | Retrieves list of roles successfully accessed.
  `RoleUnresolvedList` | `getRolesUnresolved()` | Retrieves list of roles unsuccessfully accessed.
  `void` | `setRoles​(RoleList list)` | Sets list of roles successfully accessed.
  `void` | `setRolesUnresolved​(RoleUnresolvedList unresolvedList)` | Sets list of roles unsuccessfully accessed.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RoleResult

    public RoleResult​(RoleList list, RoleUnresolvedList unresolvedList)
    Constructor.
    Parameters:
      `list` - list of roles successfully accessed.
      `unresolvedList` - list of roles not accessed (with problem descriptions).

- ## Method Details

  - ### getRoles

    public RoleList getRoles()
    Retrieves list of roles successfully accessed.
    Returns:
      a RoleList
    See Also:
      `setRoles(javax.management.relation.RoleList)`

  - ### getRolesUnresolved

    public RoleUnresolvedList getRolesUnresolved()
    Retrieves list of roles unsuccessfully accessed.
    Returns:
      a RoleUnresolvedList.
    See Also:
      `setRolesUnresolved(javax.management.relation.RoleUnresolvedList)`

  - ### setRoles

    public void setRoles​(RoleList list)
    Sets list of roles successfully accessed.
    Parameters:
      `list` - list of roles successfully accessed
    See Also:
      `getRoles()`

  - ### setRolesUnresolved

    public void setRolesUnresolved​(RoleUnresolvedList unresolvedList)
    Sets list of roles unsuccessfully accessed.
    Parameters:
      `unresolvedList` - list of roles unsuccessfully accessed
    See Also:
      `getRolesUnresolved()`